package com.resteasy.series.pathparam;

import javax.ws.rs.core.Response;

public class CustomerServiceImpl implements ICustomerService {

	@Override
	public Response welcomeCustomer(String userName) {

		String welcomeMsg = "Welcome " + userName;
		return Response.status(200).entity(welcomeMsg).build();
	}

	@Override
	public Response printCustomerInfo(String custId, String custName, String custAge) {

		String customerInfo = "Customer [Id=" + custId +  ", Name=" + custName + ", Age=" + custAge + "]";
		return Response.status(200).entity(customerInfo).build();
	}
}